org &8000


ld a,&c3
ld hl,nmi_handler
ld (&0066),a
ld (&0067),hl

;; single line
ld bc,&bc00+10
out (c),c
ld bc,&bd00
out (c),c
ld bc,&bc00+11
out (c),c
ld bc,&bd00
out (c),c

ld bc,&f881
ld a,%01010111	;; disable interrupt, counter mode, rising edge, time constant follows, reset, control word
out (c),a
ld a,1		;; time constant
out (c),a


loop:
jp loop

nmi_handler:
push af
push bc
push hl
push de

;; do raster!
ld hl,raster_colours
ld e,end_raster_colours-raster_colours
ld bc,&7f00
out (c),c

nc:
inc b			;; [1]
outi			;; [5]

;; 12
;; 64-12 = 52

ld a,12
nc2:
dec a
jp nz,nc2
nop
nop
	
dec e			;; [2]
jp nz,nc		;; [3]


;; set for next
ld a,(counter)
cpl
ld (counter),a
or a
ld hl,&3000
jr nz,nmi_handler2
ld hl,&3100
nmi_handler2:
call set_cursor_address
pop de
pop hl
pop bc
pop af
ei
retn

raster_colours:
defb &41
defb &43
defb &40
defb &43
defb &41
end_raster_colours:

counter:
defb 0

set_cursor_address:
ld bc,&bc00+14
out (c),c
inc b
out (c),h
dec b
inc c
out (c),c
inc b
out (c),l
ret