

PLY_UseCPCMachine=1		;Indicates what frequency table and output code to use. 1 to use it.
PLY_UseMSXMachine=0

; doesn't currently work on sdcc when set to 0

PLY_UseSoundEffects=0 ;Set to 1 if you want to use Sound Effects in your player. Both CPU and memory consuming.
PLY_UseFades=0		;Set to 1 to allow fades in/out. A little CPU and memory consuming.
				;PLY_SetFadeValue becomes available.


PLY_SystemFriendly=0	;Set to 1 .if you want to save the Registers used by AMSDOS (AF', BC', IX, IY)
				;(which allows you to call this player in BASIC)
				;As this option is system-friendly, it cuts the interruption, and restore them ONLY .if NECESSARY.
PLY_UseFirmwareInterruptions=0 ;Set to 1 to use a Player under interruption. Only works on CPC, as it uses the CPC Firmware.
				;WARNING, PLY_SystemFriendly must be set to 1 .if you use the Player under interruption !
				;SECOND WARNING, make sure the player is above 0x3fff, else it won't be played (system limitation).

PLY_UseBasicSoundEffectInterface=0	;Set to 1 .if you want a little interface to be added .if you are a BASIC programmer who wants
					;to use sound effects. Of course, you must also set PLY_UseSoundEffects to 1.


					
.globl PLY_Digidrum
.globl PLY_SpeedCpt
.globl PLY_Speed
.globl PLY_Height
.globl PLY_HeightCpt
.globl PLY_Linker_PT
.globl PLY_SpecialTrack_PT
.globl PLY_SaveSpecialTrack
.globl PLY_SpecialTrack_WaitCounter
.globl PLY_Track1_WaitCounter
.globl PLY_Track2_WaitCounter
.globl PLY_Track3_WaitCounter
.globl PLY_Track1_PT
.globl PLY_Track2_PT
.globl PLY_Track3_PT
.globl PLY_Transposition1
.globl PLY_Transposition2
.globl PLY_Transposition3
.globl PLY_Track1_PitchAdd
.globl PLY_Track2_PitchAdd
.globl PLY_Track3_PitchAdd
.globl PLY_Track1_Pitch
.globl PLY_Track2_Pitch
.globl PLY_Track3_Pitch
.globl PLY_Track1_SavePTInstrument
.globl PLY_Track2_SavePTInstrument
.globl PLY_Track3_SavePTInstrument
.globl PLY_Track1_InstrumentsTablePT
.globl PLY_Track2_InstrumentsTablePT
.globl PLY_Track3_InstrumentsTablePT
.globl PLY_Track1_InstrumentSpeed
.globl PLY_Track2_InstrumentSpeed
.globl PLY_Track3_InstrumentSpeed
.globl PLY_Track1_InstrumentSpeedCpt
.globl PLY_Track2_InstrumentSpeedCpt
.globl PLY_Track3_InstrumentSpeedCpt
.if PLY_UseSoundEffects==1
.globl PLY_SFX_Track1_InstrumentSpeedCpt
.globl PLY_SFX_Track2_InstrumentSpeedCpt
.globl PLY_SFX_Track3_InstrumentSpeedCpt
.globl PLY_SFX_Track1_InstrumentSpeed
.globl PLY_SFX_Track2_InstrumentSpeed
.globl PLY_SFX_Track3_InstrumentSpeed
.globl PLY_SFX_Track1_Instrument
.globl PLY_SFX_Track2_Instrument
.globl PLY_SFX_Track3_Instrument
.globl PLY_SFX_Play_InstrumentTable
.globl PLY_PS_EndSound_SFX
.globl PLY_SFX_Track1_Pitch
.globl PLY_SFX_Track2_Pitch
.globl PLY_SFX_Track3_Pitch
;; note must come first!
.globl PLY_SFX_Track1_Note_Volume
.globl PLY_SFX_Track1_Note
.globl PLY_SFX_Track1_Volume
.globl PLY_SFX_Track2_Note_Volume
.globl PLY_SFX_Track2_Note
.globl PLY_SFX_Track2_Volume
.globl PLY_SFX_Track3_Note_Volume
.globl PLY_SFX_Track3_Note
.globl PLY_SFX_Track3_Volume

.endif
.globl PLY_Track1_Instrument
.globl PLY_Track2_Instrument
.globl PLY_Track3_Instrument
.if PLY_UseFirmwareInterruptions==1
.globl PLY_Interruption
.globl PLY_Interruption_Cpt
.globl PLY_Interruption_Value
.globl PLY_ReplayFrequency
.endif
.globl PLY_PSGReg13_Retrig
.if PLY_UseFades==1
.globl PLY_Channel1_FadeValue
.globl PLY_Channel2_FadeValue
.globl PLY_Channel3_FadeValue
.endif

;; note must come first!
.globl PLY_Track1_Note_Volume
.globl PLY_Track1_Note
.globl PLY_Track1_Volume
.globl PLY_Track2_Note_Volume
.globl PLY_Track2_Note
.globl PLY_Track2_Volume
.globl PLY_Track3_Note_Volume
.globl PLY_Track3_Note
.globl PLY_Track3_Volume



