.globl _cpc_InitMaskTable0
.globl _cpc_SprMaskTable0
.area _CODE

_cpc_InitMaskTable0:
ld hl,#_cpc_SprMaskTable0 ;; base address of the mask look up table
ld de,#0xaa55

mmt1:
ld c,#0							;; counter/initial pixel value

ld a,l
and d							;; isolate bits used to define the pen for the left pixel.
jr nz,mmt2
;; no, pixel so keep screen data
ld a,c
or d
ld c,a

mmt2:
ld a,l
and e
jr nz,mmt3
ld a,c
or e
ld c,a

mmt3:
ld (hl),c						;; store final mask in table
inc l
jr nz,mmt1
ret
