.module _cpc_SprMaskInternal0
.globl _cpc_SprMaskInternal0
.globl _cpc_SprMaskTable0

.area _CODE
;; HL = screen address
;; DE = pixel data
;; B = height
;; C = width
_cpc_SprMaskInternal0:
;; transfer C to lix
;; transfer B to hix
push bc
pop ix

;; C is reused in loop

;; set B
ld b,#>_cpc_SprMaskTable0

csm1:
push ix
push hl
csm2:
ld a,(de)   ;; pixels
ld c,a
ld a,(bc) ;; get mask
and (hl)      ;; mask with screen
or c      ;; combine with pixels
ld (hl),a ;; store back to screen
inc hl ;; increment pointer
inc de
.db #0xdd
dec l
jr nz,csm2
pop hl
call _cpc_NextLineInternal
pop ix
.db #0xdd
dec h
jr nz,csm1
ret
