.module _cpc_SprMaskRecolourInternal0
.globl _cpc_SprMaskRecolourInternal0
.globl _cpc_SprMaskTable0

.area _CODE
;; HL = screen address
;; DE = pixel data
;; IXH = height
;; IXL = width
;; B = recolour table
_cpc_SprMaskRecolourInternal0:
push ix

csm1:
push ix
push hl
csm2:
ld a,(de)   ;; pixels
ld c,a
			
ld a,(bc)	;; perform lookup
ld b,#>_cpc_SprMaskTable0
ld a,(bc) ;; get mask
and (hl)      ;; mask with screen
or c      ;; combine with pixels
ld (hl),a ;; store back to screen
inc hl ;; increment pointer
inc de
.db #0xdd
dec l
jr nz,csm2
pop hl
call _cpc_NextLineInternal
pop ix
.db #0xdd
dec h
jr nz,csm1
pop ix
ret
