
/* Hexavirus code for CPC */
/* permission granted by Mollusck to make a CPC version */

/* bugs:

no logo for main menu
sound makes code crash???
text colour in menus
menu indicator should be an arrow
menus need panel behind them (do for all?)
some menus will need text on them
no instructions on adjust
legend is too tall for code, needs to be 255 max.
loader needs correcting for virus (text colours and adding monochrome/colour)
green colours need to be added
plus colours need to be added
analogue joystick need to be added
graphics for squares need to be corrected

count number of possible moves and reward based on how close you get to them

choice of levels OR random

CRTC_R1 = 46			;; normally 40
CRTC_R9 = 8
CRTC_R6 = 33			;; normally 25
SCR_HEIGHT_PIXELS = CRTC_R9*CRTC_R6
SCR_WIDTH_BYTES = CRTC_R1*2
SCR_BASE = 0x188		;; normally 0xc000
LETTER_HEIGHT = 8

*/

//#include "cpcrslib.h"
//#include "morelib.h"
//#include "lib/starkos/starkos.h"
#include "mylib.h"
#include "ArkosPlayer.h"
#include "pluslib.h"

#include "gfx/bin/hexatiles.h"
#include "gfx/bin/recttiles.h"
#include "gfx/bin/tritiles.h"
#include "gfx/bin/legend.h"
#include "gfx/bin/select.h"
#include "gfx/bin/numbers.h"
#include "gfx/bin/font.h"
#include "gfx/bin/gamepal.h"
#include "music/game_over.aks.bin.h"
#include "music/ingame_music.aks.bin.h"
#include "music/menu_music.aks.bin.h"
#include "music/game_start.aks.bin.h"
#include "music/fx_infected.aks.bin.h"
#include "music/fx_selected.aks.bin.h"
#include "music/fx_move.aks.bin.h"
#include "music/level_completed.aks.bin.h"
#include "music/silence.aks.bin.h"
//#define grid_width 9
//#define grid_height 18

#define CLR_COLOUR (CPC_PEN1_MODE0|(CPC_PEN1_MODE0<<1))

#define STAT_MENU_Y 12

#define STAT_MENU_X 8

#define CREDITS_X 10
#define CREDITS_Y 10
#define CREDITS_RECT_X ((CREDITS_X-2)*2)
#define CREDITS_RECT_Y ((CREDITS_Y-1)*8)
#define CREDITS_RECT_WIDTH (20*2)
#define CREDITS_RECT_HEIGHT (6*8)


#define MAIN_MENU_X 10
#define MAIN_MENU_Y 20
#define MAIN_MENU_RECT_X ((MAIN_MENU_X-2)*2)
#define MAIN_MENU_RECT_Y ((MAIN_MENU_Y-1)*8)
#define MAIN_MENU_RECT_WIDTH (20*2)
#define MAIN_MENU_RECT_HEIGHT (6*8)

#define PAUSE_MENU_X 8
#define PAUSE_MENU_Y 8
#define PAUSE_MENU_RECT_X ((PAUSE_MENU_X-2)*2)
#define PAUSE_MENU_RECT_Y ((PAUSE_MENU_Y-1)*8)
#define PAUSE_MENU_RECT_WIDTH (20*2)
#define PAUSE_MENU_RECT_HEIGHT (6*8)

//#define max(a,b) \
//	((a) > (b)) ? (a) : (b)


#define grid_width_rect 20
#define grid_height_rect 16		

// we can't make it 18 unless we make the height of rectangles 12 and make the width 6

//#define grid_height_rect 18

#define grid_width_tri 23
#define grid_height_tri 11

// 30 is too tall for 32 line screen by 8 lines.
#define grid_width_hex 10
#define grid_height_hex 32

#define max_grid_width 32
#define max_grid_height 32

//#define max_grid_width max(grid_width_rect, max(grid_width_hex, grid_width_tri))
//#define max_grid_height max(grid_height_rect, max(grid_height_hex, grid_height_tri))
#define play_grid_width 32

/* at some point it will become impossible to beat because there is a minimum number of moves */
/* set we don't allow it to go beyond the min, and we give a final well done */
//#define MOVES_MIN 16
//#define MOVES_MAX 40  // 39 on virus 3

//#define MOVES_MAX_RECT 44
//#define MOVES_MIN_RECT 16

//#define MOVES_MAX_TRI 44
//#define MOVES_MIN_TRI 16


//#define twice_grid_width (grid_width*2)


#define number_width 8
#define number_height 16
#define number_width_bytes (number_width/2)
#define number_data_size (number_width_bytes*number_height)

#define number_x (SCR_WIDTH_BYTES-(number_width_bytes*2))
#define number_y 12

#define min_number_x (SCR_WIDTH_BYTES-(number_width

#define hex_tile_width 12
#define hex_tile_height 16
#define hex_half_tile_height (hex_tile_height/2)

#define hex_tile_width_bytes (hex_tile_width/2)

#define hex_third_tile_width (hex_tile_width_bytes/3)
#define hex_two_third_tile_width ((hex_tile_width_bytes*2)/3)

#define hex_tile_data_size (hex_tile_width_bytes*hex_tile_height)

#define rect_tile_width 8
#define rect_tile_height 16

#define rect_tile_width_bytes (rect_tile_width/2)

#define rect_tile_data_size (rect_tile_width_bytes*rect_tile_height)

#define tri_tile_width 7		// 14 pixels, 7 bytes
#define tri_tile_height 12	// 12 pixels

#define tri_tile_width_bytes (tri_tile_width/2)

#define tri_tile_data_size (tri_tile_width_bytes*tri_tile_height)

#define tri_half_tile_width (tri_tile_width_bytes/2)


#define select_width 8
#define select_height 16
#define select_width_bytes (select_width/2)
#define select_data_size (select_width_bytes*select_height)

#define select_sprite (select)
#define unselect_sprite (select+select_data_size)


#define legend_width  18
#define legend_height 255	//260
#define legend_width_bytes (legend_width/2)
#define half_legend_height (legend_height/2)

#define legend_x (SCR_WIDTH_BYTES-legend_width_bytes)
#define legend_y (HALF_SCR_HEIGHT_PIXELS-half_legend_height)

#define SELECT_X (legend_x+2)

#define MIN_COLOURS 3
#define MAX_COLOURS 7
int num_colours = 7;
#define MAX_SEL 8

#define TRI_POINT_UP_INDEX (MAX_COLOURS+1)


char move_sequence[128];
int move_count;
int min_move_count;

#define xorg 0
#define yorg 0

enum
{
	TILE_TYPE_HEXAGON = 0,
	TILE_TYPE_RECTANGLE,
	TILE_TYPE_TRIANGLE,
};

#define	TILE_TYPE_MIN TILE_TYPE_HEXAGON
#define TILE_TYPE_MAX (TILE_TYPE_TRIANGLE+1)


enum
{
	SOUND_TYPE_NONE = 0,
	SOUND_TYPE_SFX,
	SOUND_TYPE_MUSIC,
};

#define 	SOUND_TYPE_MIN SOUND_TYPE_NONE
#define SOUND_TYPE_MAX (SOUND_TYPE_MUSIC+1)

#define SOUND_FLAG_SFX (1<<0)
#define SOUND_FLAG_WAIT_FOR_END (1<<1)
#define SOUND_FLAG_ALWAYS (1<<2)

enum
{
  MAIN_STATE_FRONTEND=0,
  MAIN_STATE_GAME,
};

enum
{
	SUB_STATE_MAIN_MENU=0,	// display main menu
	SUB_STATE_PLAY_MENU,	// display play menu
	SUB_STATE_OPTIONS_MENU, // display options menu
	SUB_STATE_PAUSE_MENU,	// display pause menu
	SUB_STATE_EXIT_MENU, // display exit menu
	STATE_WAITING_PLAYER_CHOICE,		// waiting for player to make choice,
	STATE_DRAW_INFECTED_CELL,			// draw infected cell
	STATE_UPDATE_INFECTION,
	STATE_UPDATE_INFECTION_DELAY,
	STATE_SELECT_CHOICE, 
	STATE_CHANGE_CHOICE,
	SUB_STATE_GAME_WON,	// finished game, either successful or not
	SUB_STATE_RESTART,	// perform restart
	SUB_STATE_RESTART_MENU, // show restart menu
	SUB_STATE_QUIT_MENU, // show quit menu
	SUB_STATE_CENTRALISE_SCREEN, // show centralise screen.
	SUB_STATE_QUITTING, // perform quit
	STATE_BACK_TO_GAME, // perforce back to game from menu
	SUB_STATE_TRY_AGAIN, // show try again menu
  SUB_STATE_RESTART_NEW // restart new game and restart music too
};
 


/* 
grid arrangement.
numbers indicate array elements.
     ____       ____
    /  0 \____ /  1 \____
    \____/  2  \____/  3 \
    /  4 \____/   5 \____/
    \____/  6 \_____/  7 \
    /  8 \____/   9 \____/
	\____/    \_____/

stored as a rectangular array:
element indicies assuming 1d array:
0,1
2,3
4,5
6,7,
8,9

x,y:

(0,0), (1,0),
(0,1), (1,1),
(0,2), (1,2)
(0,3), (1,3)

6 sides:
	
	 _a__
   f/    \b
   e\____/c
	   d

how to go to next hexagon from current, based on the side you want to go through and x/y position:
odd/even indicate line (y value & 1):
element is calculated as (y*width)+x

     ____       ____
    /  0 \____ /  1 \____
    \____/  2  \____/  3 \
    /  4 \____/   5 \____/
    \____/  6 \_____/  7 \
    /  8 \____/   9 \____/
	\____/    \_____/

odd & even:
a: x=x, y-2 (e.g. 4 to 0, or 6 to 2)
d: x=x, y+2 (e.g. 0 to 4, or 2 to 6)

odd:
b: x+1, y-1 (e.g. 2 to 1)
c: x+1, y+1 (e.g. 2 to 5)
e: x=x, y+1 (e.g. 3 to 5)
f: x=x, y-1 (e.g. 6 to 4)

even:
b: x=x, y-1 (e.g. 4 to 2)
c: x=x, y+1 (e.g. 0 to 2)
e: x=-1, y+1 (e.g. 5 to 6)
f: x=-1, y-1 (e.g. 9 to 6)

7 virus colours choosable

1 colour for infected

all colours can be chosen for grid etc

redraw grid in infected colour
*/
#define VALUE_INFECTED 7

//#define bottom_tile_addr (const unsigned char *)(hexatiles+((VALUE_INFECTED+1)*hex_tile_data_size))

#define VALUE_MASK  0x07
#define CONSIDERED_ALL_SIDES  0x080


enum
{
  STRING_TABLE_PLAY = 0,
  STRING_TABLE_YES,
  STRING_TABLE_NO,
  STRING_TABLE_SOUND,
    STRING_TABLE_OFF,
   STRING_TABLE_SFX,
  STRING_TABLE_MUSIC,
  STRING_TABLE_CONTINUE,
  STRING_TABLE_RESTART,
  STRING_TABLE_OPTIONS,
  STRING_TABLE_QUIT,
  STRING_TABLE_EXIT,
  STRING_TABLE_BACK,
  STRING_TABLE_ADJUST,
  STRING_TABLE_TYPE,
  STRING_TABLE_COLOURS,
  STRING_TABLE_HEXAGON,
  STRING_TABLE_RECTANGLE,
  STRING_TABLE_TRIANGLE,
  STRING_TABLE_CODE,
  STRING_TABLE_GFX,
  STRING_TABLE_ARNOLDEMU,
  STRING_TABLE_MACDEATH,
  STRING_TABLE_MCKLAIN,
};
  

static const unsigned char *StringTable[]=
{
  "Play",
  "Yes",
  "No",
  "Sound",
  "Off",
   "Sfx",
  "Music",
  "Continue",
  "Restart",
  "Options",
  "Quit",
  "Exit",
  "Back",
  "Adjust",
  "Tile",
  "Colours",
  "Hexagon",
  "Square",
  "Triangle",
  "Code",
  "Gfx",
  "Arnoldemu",
  "MacDeath",
  "McKlain",
};


static const unsigned char *CentraliseText =  "Use directions to adjust screen position. Press select to confirm";

static const unsigned char TileOptions[3] = {STRING_TABLE_HEXAGON, STRING_TABLE_RECTANGLE, STRING_TABLE_TRIANGLE};

static const unsigned char PlayMenu[3] = {STRING_TABLE_CONTINUE, STRING_TABLE_TYPE,STRING_TABLE_COLOURS,STRING_TABLE_BACK};

static const unsigned char OkMenu[1] = {STRING_TABLE_CONTINUE};

static const unsigned char ConfirmMenu[2] = {STRING_TABLE_YES, STRING_TABLE_NO};

static const unsigned char SoundOptions[3] = {STRING_TABLE_OFF, STRING_TABLE_SFX, STRING_TABLE_MUSIC};

static const unsigned char PauseMenu[4] = {STRING_TABLE_CONTINUE, STRING_TABLE_RESTART, STRING_TABLE_OPTIONS, STRING_TABLE_QUIT};

static const unsigned char MainMenu[3] = {STRING_TABLE_PLAY, STRING_TABLE_OPTIONS, STRING_TABLE_EXIT};

static const unsigned char TryAgainMenu[2] = {STRING_TABLE_RESTART, STRING_TABLE_NEW, STRING_TABLE_QUIT};

static const unsigned char ContinueMenu[2] = {STRING_TABLE_NEW, STRING_TABLE_QUIT};

static const unsigned char *FailedTxt = "You failed to clear the grid" ;

static const unsigned char OptionsMenu[3] = {STRING_TABLE_SOUND, STRING_TABLE_ADJUST, STRING_TABLE_BACK};


static int move_stack_x[max_grid_width*max_grid_height];
static int move_stack_y[max_grid_width*max_grid_height];
static unsigned char play_grid[play_grid_width*max_grid_height];
static  unsigned char cur_value;
static  unsigned char sel_value;
static unsigned int soundtype;
static unsigned int tiletype;
static unsigned int tilenumsides;
static unsigned char old_sel_value;
static  unsigned int nvirus;
static unsigned int grid_width, grid_height; // width/height
static unsigned int grid_total;		// total number of squares
//static unsigned int nmovesleft;
//static unsigned int totalmoves;
static unsigned int nmovescur;
static unsigned int nmovesmin;
static unsigned char *currentmusic = 0;
static unsigned int minmoves;
static unsigned char state;
static unsigned char backstate;
static unsigned char mainstate;
static unsigned char game_quit;
static volatile unsigned char RandomSeed=0x0aa;
static unsigned char GameSeed;
static volatile unsigned char VsyncMark=0;
static unsigned int delay;


/*-------------------------------------------------------------------------------*/
void wait_vsync()
{
    cpc_WaitVsyncStart();
    cpc_WaitVsyncEnd();
}


/***************************************************************/
/* do x and y coordinates reference a valid cell? */

int is_valid_cell(int x, int y)
{
	if ((x<0) || (y<0))
	{
		return 0;
	}
	if (x>=grid_width)
	{
		return 0;
	}
	if (y>=grid_height)
	{
		return 0;
	}
	
	return 1;
}

/***************************************************************/
/* get value from play grid at the x,y coordinates - x,y must be valid */

unsigned char get_grid_value(int x,int y)
{
	int element = (y*play_grid_width)+x;
	return play_grid[element];
}

/***************************************************************/
void infect_grid_cell(int x,int y)
{	
	int element = (y*play_grid_width)+x;
	play_grid[element] = VALUE_INFECTED;
}

/***************************************************************/
void set_all_sides_considered(int x, int y)
{
	int element = (y*play_grid_width)+x;
	play_grid[element] |= CONSIDERED_ALL_SIDES;
}
	
/***************************************************************/

void get_neighbour_cell_hex(int x, int y, int *nx, int *ny, int s)
{
	switch (s)
	{
		/* a */
		case 0:
		{
			*nx = x;
			*ny = y-2;
		}
		break;
		
		/* b */
		case 1:
		{
			if ((y&1)==0)
			{
				/* even */
				*nx = x;
				*ny = y-1;
			}
			else
			{
				/* odd */
				*nx = x+1;
				*ny = y-1;
			}
		}
		break;
		
		/* c */
		case 2:
		{
			if ((y&1)==0)
			{
				/* even */
				*nx = x;
				*ny = y+1;
			}
			else
			{
				/* odd */
				*nx = x+1;
				*ny = y+1;
			}
		}
		break;

		/* d */
		case 3:
		{
			*nx = x;
			*ny = y+2;
		}
		break;

		/* e */
		case 4:
		{
			if ((y&1)==0)
			{
				/* even */
				*nx = x-1;
				*ny = y+1;
			}
			else
			{
				/* odd */
				*nx = x;
				*ny = y+1;
			}
		}
		break;

		/* f */
		case 5:
		{
			if ((y&1)==0)
			{
				/* even */
				*nx = x-1;
				*ny = y-1;
			}
			else
			{
				/* odd */
				*nx = x;
				*ny = y-1;
			}
		}
		break;
		
		default:
		{
			*nx = x;
			*ny = y;
		}
		break;
	}
}

/***************************************************************/

/*
      0
    +-----+
  3 |     | 1
    +-----+
      2
*/

void get_neighbour_cell_rect(int x, int y, int *nx, int *ny, int s)
{
    switch (s)
  {
      case 0:
      {
          *nx = x;
          *ny = y-1;
      }
      break;
      
      case 1:
      {
         *nx = x+1;
         *ny = y;
      }
      break;
      
      case 2:
      {
        *nx = x;
        *ny = y+1;
      }
      break;
      
      case 3:
      {
        *nx = x-1;
        *ny = y;
      }
      break;
      
      default:
        	{
			*nx = x;
			*ny = y;
		}
		break;
  }
}
  
/***************************************************************/

/*


  _ _ _ _ _ _ _ _
/\/\/\/\/\/\/\/\/\
------------------
\/\/\/\/\/\/\/\/\/

0
 --
2\/ 1


2/\0
 --
1

even x, even y -> /\

0: x->x+1, y->y
1: x->x, y->y+1
2: x->x-1, y->y

odd x, even y -> \/

0: x->x, y->y-1
1: x->x+1, y->y
2: x->x-1, y->y

even x, odd y -> \/

0: x->x, y->y-1
1: x->x+1, y->y
2: x->x-1, y->y

odd x, odd y -> /\

0: x->x+1, y->y
1: x->x, y->y+1
2: x->x-1, y->y
*/

void get_neighbour_cell_tri(int x, int y, int *nx, int *ny, int s)
{
  switch (s)
  {
      case 0:
      {
          if (((x^y)&1)!=0)
          {
            /* x and y are not both odd/even */
            *nx = x;
            *ny = y-1;
          }
          else
          {
            *nx = x+1;
            *ny = y;
          }
      }
      break;
      
      case 1:
      {
          if (((x^y)&1)!=0)
          {
            /* x and y are not both odd/even */
            *nx = x+1;
            *ny = y;
          }
          else
          {
            *nx = x;
            *ny = y+1;
          }
      }
      break;
      
      case 2:
      {
          *nx = x-1;
          *ny = y;
      }
      break;
          
      default:
        	{
			*nx = x;
			*ny = y;
		}
		break;
  }
}

/***************************************************************/
/* based on x,y position and side, give new x,y coordinates for neighbour cell; note coords may not be valid */
void get_neighbour_cell(int x, int y, int *nx, int *ny, int s)
{
	switch (tiletype)
	{
		default:
		case TILE_TYPE_HEXAGON:
			return get_neighbour_cell_hex(x,y,nx,ny,s);
		case TILE_TYPE_RECTANGLE:
			return get_neighbour_cell_rect(x,y,nx,ny,s);
		case TILE_TYPE_TRIANGLE:
			return get_neighbour_cell_tri(x,y,nx,ny,s);
	}
}	


/***************************************************************/
/* add a position to the history, infect the cell, and cause the display to be updated */

void add_pos(int x,int y)
{

	/* store move made */
	move_stack_x[nvirus] = x;
	move_stack_y[nvirus] = y;
	nvirus++;
	
	/* infect the cell */
	infect_grid_cell(x,y);
	
	state = STATE_DRAW_INFECTED_CELL;
}

/***************************************************************/
/* update the infection one cell at a time */

char update_infections()
{
	int infected = 0;

	
	/* go back through the list of cells */
	int i = nvirus-1;

	while (i>=0)
	{
		int x,y;
		unsigned char val;
		
	
		/* get x,y values */
		x = move_stack_x[i];
		y = move_stack_y[i];
		
		/* get value */
		val = get_grid_value(x,y);
		
		/* did we consider all sides already? */
		if ((val & CONSIDERED_ALL_SIDES)==0)
		{
			int s;
			/* side to infect */
			int nsideinfect = -1;
			
			/* number of sides to infect */ 
			int nsidesinfected = 0;
			
			/* loop over each side */
			for (s=0; s<tilenumsides; s++)
			{
				int x2,y2;

				/* get x,y coord from current position */
				get_neighbour_cell(x,y, &x2, &y2,s);
				
				if (is_valid_cell(x2,y2))
				{
					/* current value? */
					unsigned char neighbourval = get_grid_value(x2, y2)&VALUE_MASK;
					
					/* update number of sides infected */
					if (neighbourval==VALUE_INFECTED)
					{
						++nsidesinfected;
					}
					else
					{		
						/* we did not infect a side yet, and the side has the value we are looking for */
						if ((nsideinfect==-1) && (neighbourval==cur_value))
						{
							nsideinfect = s;
							
							/* add and break out of the loop; we infected a new cell */
							add_pos(x2,y2);

							infected = 1;
              
              			
						}
					}
				}
	
				/* if we just infected all sides, mark it as totally infected so we ignore next time */
				if ((nsidesinfected==(tilenumsides-1)) && infected)
				{
					set_all_sides_considered(x,y);
				}
			
				/* if we just made an infection, quit out now */
				if (infected)
					break;
			}

		/* we infected a new cell! */
		if (infected)	
			break;

   }
		
		/* we didn't infect a cell */
		
		/* go back */	
		--i;
	}
	return infected;
}

/***************************************************************/

void WaitVsyncMark()
{
    while (VsyncMark==0);
  VsyncMark = 0;
}

/***************************************************************/

void interrupt_handler(void) __critical __interrupt(1) 
{
	if (cpc_InVsync())
	{
    ArkosPlayer_Play();
    VsyncMark = 1;

  /* keys can be pressed/released at any time during a frame, we scan the keyboard to get them at the point we scanned */
  
  /* scan them and update them here when we want to know their current state, doing it in an charerrupt means that
  the values we see can be out of step */
		//cpc_BackupKeys();
		//cpc_ScanKeyboard();

		
		/* NOTE: 
		1. This is effectively a random number based on time.
		2. We set the random seed when the game is started.
		3. We only ever start the game around vsync time.
		4. So there is no point incrementing the random seed at any other time
		because then we will end up with a seed which is not good.
		e.g. if we incremented it every interrupt we would end up with a seed which
		is a multiple of 6, and we would always get an even random number seed, the result,
		is we could not get random numbers in range 0-1 */
		
		
		RandomSeed++;
	}
}


/***************************************************************/

void stop_arkos_music()
{
	cpc_DisableMaskableInterrupts();

	/* stop the sound */
	ArkosPlayer_Stop();
  
  cpc_EnableMaskableInterrupts();
}

/***************************************************************/

void play_sound(int flags, const unsigned char *current_sound)
{
	/* if no sound, don't play it */
	if ((soundtype==SOUND_TYPE_NONE) && ((flags & SOUND_FLAG_ALWAYS)==0))
		return;
		
  /* always play? */
  if ((flags & SOUND_FLAG_ALWAYS)==0)
  {    
    /* no */
    
	/* if sound effect and not sound effect mode, don't play it */
	if ((soundtype!=SOUND_TYPE_SFX) && ((flags & SOUND_FLAG_SFX)!=0))
		return;
		
    /* SOUND_TYPE_MUSIC and music */
      /* music and not forced then remember it */
    if ((flags & SOUND_FLAG_SFX)==0)
    {
    	currentmusic = current_sound;
    }
  }
	
  cpc_DisableMaskableInterrupts();
  
  /* stop the sound */
	ArkosPlayer_Stop();
  
  ArkosPlayer_Init(current_sound); 
	
	/* enable it */
	cpc_EnableMaskableInterrupts();
	
	if (flags & SOUND_FLAG_WAIT_FOR_END)
	{
    ArkosPlayer_ResetLooped();
    while (!ArkosPlayer_HasLooped())
    {
      wait_vsync();
    }
	}
	
}

/***************************************************************/

/* this will keep track of how many of each colour is available */
static   int num_useable[MAX_NUM_COLOURS];
 
void grid_init()
{	
	//int i;
	unsigned char *pGrid = play_grid;
  
	/* ensure we don't get a random seed of 0 */
	{
		/* initialise random seed */
		int Seed = GameSeed;
		if (Seed==0)
		{
			/* some default seed */
			Seed=0x0aa;
		}
			
		cpc_SetRandSeed(Seed);
	}

  {
	unsigned char *pGridCur = pGrid;
	int y,x;
    /* number of elements in grid */
    /* number of each colour when shared between them all */
    int num_each = grid_total/num_colours;
    /* this is the number of chooseable colours; when some reach 0 count, we can't choose them anymore */
    int num_chooseable_colours = NUM_COLOURS;
    int c;
    /* initialise number of each colours we can choose */
    for (c = 0; c<num_colours; c++)
    {
        num_useable[c] = num_each;
    }
   
    for (y = grid_height; y!=0; y--) 
    {	
		unsigned char *pGridStore = pGridCur;
	
		for (x = grid_width; x!=0; x--)
		{
			  int colour=0;
			  /* if we exhausted each colour */
			  if (num_chooseable_colours==0)
			  {
				/* choose a random one to fill in */
				colour = cpc_RandomInRange(num_colours);
			  }
			  else
			  {
				/* choose from one of the available colours */
				int colour_index = cpc_RandomInRange(num_chooseable_colours);
				for (c=0; c<num_colours; c++)
				{
					/* find which it is */
					int num_useable_this_colour = num_useable[c];
					if (num_useable_this_colour!=0)
					{
						/* is this the one we wanted? */
						if (colour_index==0)
						{
						  /* found it */
						  colour = c;
						  
						  num_useable_this_colour--;
						  /* we used up all it's supply? */
						  if (num_useable_this_colour==0)
						  {
							/* one less colour to choose from */
							  num_chooseable_colours--;
						  }
						  /* update how many are remaining */
						  num_useable[c] = num_useable_this_colour;
						  break;
					  }
					  else
					  {
						  /* this one is useable */
						  colour_index--;
					  }
					}
				}
			  }
					
			  *pGridCur = colour;
			  ++pGridCur;
		}
		pGridCur = pGridStore;
		pGridCur += play_grid_width;
	}
  }
    
#if 0	
  // totally random is not good.
	for (i = 0; i < grid_total; i++) 
	{	
		/* random number between 0 and 6 */
		*pGrid = cpc_RandomInRange(7);
		++pGrid;
	}
  #endif
}

/***************************************************************/

void draw_grid_tile(int x,int y, int gx, int gy)
{
	/* calc scr addr */
	unsigned char *scraddr = cpc_GetScrAddr(x,y);
	/* read tile from grid */
	unsigned char grid_value = get_grid_value(gx,gy)&VALUE_MASK;
	
	switch (tiletype)
	{
		default:
		case TILE_TYPE_HEXAGON:
		{
			/* get tile graphics addr */
			const unsigned char *tileaddr = hexatiles+(grid_value*hex_tile_data_size);
			/* draw the tile */
			cpc_SprMask0(scraddr, tileaddr, hex_tile_width_bytes, hex_tile_height);
		}
		break;
		
		case TILE_TYPE_RECTANGLE:
		{
			/* get tile graphics addr */
			const unsigned char *tileaddr = recttiles+(grid_value*rect_tile_data_size);
			/* draw the tile */
			cpc_SprMask0(scraddr, tileaddr, rect_tile_width_bytes, rect_tile_height);
		}
		break;
		
		case TILE_TYPE_TRIANGLE:
			{
				// when x&1 ^ y&1 the same, then we can use point up
				// else we use point down
				const unsigned char *tileaddr;
				
				if ((x^y)&1)==0)
				{
					grid_value += TRI_POINT_UP_INDEX;
				}
								
				/* get tile graphics addr */
				tileaddr = tritiles+(grid_value*tri_tile_data_size);
				/* draw the tile */
				cpc_SprMask0(scraddr, tileaddr, tri_tile_width_bytes, tri_tile_height);
			
			}
			break;
	}
}


/***************************************************************/

void redraw_grid_element(int gx,int gy)
{
	int x=0,y=0;

	switch (tiletype)
	{
		default:
		case TILE_TYPE_HEXAGON:
		{
			x = xorg + (gx*(hex_third_tile_width+hex_tile_width_bytes));
			y = yorg;
		
			if ((gy&1)!=0)
			{
				x += hex_two_third_tile_width;
			}
			
			y+= (gy*hex_half_tile_height);
		}
		break;
		
		case TILE_TYPE_RECTANGLE:
		{
			x = xorg + (gx*rect_tile_width_bytes);
			y = yorg + (gy*rect_tile_height);
		}
		break;
		
		case TILE_TYPE_TRIANGLE:
		{
			x = xorg + (gx*tri_half_tile_width);
			y = yorg + (gy*tri_tile_height);
		}
		break;
	}

	draw_grid_tile(x,y,gx,gy);
}


/***************************************************************/

void update_xy(int*x,int *y, int *inc, int dir)
{
    int ix = *x;
  int iy = *y;
  int iinc = *inc;
  
   if (iinc<0)
   {
     if (ix==0)
     {
       iy+=dir;
       *y = iy;
       iinc = -iinc;
       *inc = iinc;
     }
     else
     {
        ix--;
        *x = ix;
     }
   }
   else
   {
     if (ix==(grid_width-1))
     {
       iy+=dir;
       *y = iy;
       iinc = -iinc;
       *inc = iinc;
     }
     else
     {
       ix++;
       *x=ix;
     }
   }
  
}
/***************************************************************/

/* draw in a snake like way on the screen */
void draw_grid()
{
  int x1,y1,x2,y2;
  int i;
  int inc1, inc2;
  int tiles ;
  inc1 = 1;
  inc2 = -1;
  x1 = 0;
  y1 = 0;
  x2 = grid_width-1;
  y2 = grid_height-1;
  
  tiles = (grid_total+1)>>1;
   for (i=0; i<tiles; i++)
  {
    wait_vsync();
      redraw_grid_element(x1,y1);
      redraw_grid_element(x2,y2);
      update_xy(&x1,&y1,&inc1, 1);
      update_xy(&x2,&y2, &inc2,-1);
  }

/***************************************************************/

  
 #if 0 
  
  
	int x,y;
	int w,h;
	
	y = yorg;
	
	for (h = 0; h<grid_height; h++)
	{
		x = xorg;
		if ((h&1)!=0)
		{
			x +=two_third_tile_width;
		}
		
		for (w = 0; w<grid_width; w++)
		{
			draw_grid_tile(x,y,w,h);
			/* update for next */
			x+=(third_tile_width+tile_width_bytes);
		}
		y+=half_tile_height;
	}
	
	/* bottom line */
	x = xorg;	//+two_third_tile_width;
	
	for (w = 0; w<twice_grid_width; w++)
	{
		int sy = y;
		unsigned char *scraddr;
		if ((w&1)!=0)
		{
			sy += half_tile_height;
		}

		/* calc scr addr */
		scraddr = cpc_GetScrAddr(x,sy);
	
		/* draw the tile */
		cpc_SprMask0(scraddr, bottom_tile_addr, tile_width_bytes, 1);

		x+=(two_third_tile_width);
	}
#endif
}

/*-------------------------------------------------------------------------------*/


unsigned char *legend_addr[8]={
 SCR_ADDR_FROM_COORD(SELECT_X,28+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,52+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,76+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,100+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,124+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,148+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,172+legend_y),
 SCR_ADDR_FROM_COORD(SELECT_X,196+legend_y)
};
  
/*-------------------------------------------------------------------------------*/

void draw_legend_item(int npos, int legendid)
{
  unsigned char *scraddr = (unsigned char *)legend_addr[npos];
    if (sel_value==npos)
    {
      cpc_SprMask0(scraddr, select_sprite, select_width_bytes, select_height);
    }
    else
    {
      cpc_SprMask0(scraddr, unselect_sprite, select_width_bytes, select_height);
    }      
 }

/*-------------------------------------------------------------------------------*/

void draw_legend()
{
  unsigned char *scraddr = SCR_ADDR_FROM_COORD(legend_x,legend_y);
  cpc_SprReplace(scraddr, legend, legend_width_bytes, legend_height);
//	int i;
	//for (i=0; i<8; i++)
	//{
   // draw_legend_item(i, i);
	//}
}


/***************************************************************/

/* colours for the pens for the choices */
const unsigned char Colours[]={
  HW_INK_RED, HW_INK_BRIGHT_RED,
  HW_INK_RED, HW_INK_PINK,
  HW_INK_GREEN,HW_INK_BRIGHT_GREEN,
  HW_INK_GREEN,HW_INK_SEA_GREEN,
  HW_INK_BLUE, HW_INK_BRIGHT_BLUE,
  HW_INK_BLUE,HW_INK_BLUE,
  HW_INK_BRIGHT_BLUE,HW_INK_SKY_BLUE
};

#define PEN_MOVE_DARK 5
#define PEN_MOVE_LIGHT 7 

/***************************************************************/
/* update the choice colour */
void set_colour_choice(int choice)
{
  int colour_index = choice<<1;
  cur_value = choice;
  /* change colour */
  cpc_SetColourHW(PEN_MOVE_DARK, Colours[colour_index]);
  colour_index++;
  cpc_SetColourHW(PEN_MOVE_LIGHT,Colours[colour_index]);
  
    
}


/***************************************************************/
/* start the game, we infect the bottom-left cell, this may spark infections based on it's value and it's neighbours */

void new_game()
{
	int x,y;
	
	/* number of moves so far */
	nvirus = 0;
	
	nmovescur = 0;
	//nmovesleft = totalmoves;
	
	/* initialise play grid */
	grid_init();

	/* find minimum number of moves */
	nmovesmin = find_min_moves();
	
	
	switch (tiletype)
	{
		default:
		case TILE_TYPE_HEXAGON:
		{
      if ((grid_height & 1)==0)
      {
        x = 0;
        y = grid_height-2;
      }
      else
      {
         x = 0;
         y = grid_height-1;
      }

		}
		break;
		
		case TILE_TYPE_RECTANGLE:
		{
        x = 0;
       y = grid_height-1;
		}
		break;
		
		case TILE_TYPE_TRIANGLE:
		{
			
		}
		break;
	}
	
	/* this is the current value */
  set_colour_choice(get_grid_value(x,y));
  
  /* selected values */
  old_sel_value = cur_value;
  sel_value = cur_value;
	
	/* now infect and start the process */
	add_pos(x,y);
}

int plus = 0;
const int analogue_dead = 5;

int TestAnalogueLeft()
{
    if (plus)
    {
        /* range is 0-0x03f */
      /* mid is 0x01f */
        int AnalogueValue = plus_GetAnalogueJoystickX(0);
        if (AnalogueValue<=(0x01f-analogue_dead))
          return 1;
    }
    return 0;
  }

  
int TestAnalogueRight()
{
    if (plus)
    {
        /* range is 0-0x03f */
      /* mid is 0x01f */
        int AnalogueValue = plus_GetAnalogueJoystickX(0);
        if (AnalogueValue>=(0x01f+analogue_dead))
          return 1;
    }
    return 0;
  }

    
int TestAnalogueUp()
{
    if (plus)
    {
        /* range is 0-0x03f */
      /* mid is 0x01f */
        int AnalogueValue = plus_GetAnalogueJoystickY(0);
        if (AnalogueValue<=(0x01f-analogue_dead))
          return 1;
    }
    return 0;
  }

  
  
int TestAnalogueDown()
{
    if (plus)
    {
        /* range is 0-0x03f */
      /* mid is 0x01f */
        int AnalogueValue = plus_GetAnalogueJoystickY(0);
        if (AnalogueValue>=(0x01f+analogue_dead))
          return 1;
    }
    return 0;
  }

  
/***************************************************************/
int LeftPressed()
{
  	if (
		/* joy left */
		cpc_TestKeyReleased(CPC_KEY_JOY0_LEFT) ||
		cpc_TestKeyReleased(CPC_KEY_JOY1_LEFT) ||
		/* cursor left */
		cpc_TestKeyReleased(CPC_KEY_CURSOR_LEFT) ||
    /* analogue joystick 0 left */
    TestAnalogueLeft()
    )
  {
      return 1;
  }
  return 0;
}

/***************************************************************/
int RightPressed()
{
  	if (
		/* joy right */
		cpc_TestKeyReleased(CPC_KEY_JOY0_RIGHT) ||
		cpc_TestKeyReleased(CPC_KEY_JOY1_RIGHT) ||
		/* cursor right */
		cpc_TestKeyReleased(CPC_KEY_CURSOR_RIGHT) ||
    /* analogue joystick 0 right */
    TestAnalogueRight())
  {
      return 1;
  }
  return 0;
}

/***************************************************************/
int UpPressed()
{
  	if (
		/* joy up */
		cpc_TestKeyReleased(CPC_KEY_JOY0_UP) ||
		cpc_TestKeyReleased(CPC_KEY_JOY1_UP) ||
		/* cursor up */
		cpc_TestKeyReleased(CPC_KEY_CURSOR_UP) ||
    /* analogue joystick 0 up */
    TestAnalogueUp()
    )
  {
      return 1;
  }
  return 0;
}
/***************************************************************/
int DownPressed()
{
  	if (
		/* joy down */
		cpc_TestKeyReleased(CPC_KEY_JOY0_DOWN) ||
		cpc_TestKeyReleased(CPC_KEY_JOY1_DOWN) ||
		/* cursor down */
		cpc_TestKeyReleased(CPC_KEY_CURSOR_DOWN) ||
    /* analogue joystick 0 down */
      TestAnalogueDown()
    )
  {
      return 1;
  }
  return 0;
}
/***************************************************************/
int SelectPressed()
{
  if (
  		/* joy fire  */
		cpc_TestKeyReleased(CPC_KEY_JOY0_FIRE1) ||
		cpc_TestKeyReleased(CPC_KEY_JOY0_FIRE2) ||
		cpc_TestKeyReleased(CPC_KEY_JOY1_FIRE1) ||
		cpc_TestKeyReleased(CPC_KEY_JOY1_FIRE2) ||
		/* space */
		cpc_TestKeyReleased(CPC_KEY_SPACE) ||
		cpc_TestKeyReleased(CPC_KEY_RETURN)
  )
  {
    return 1;
  }
  return 0;
}
/***************************************************************/

void handle_input()
{
	int new_value = -1;

		wait_vsync();
  cpc_BackupKeys();
	cpc_ScanKeyboard();

  if (cpc_TestKeyReleased(CPC_KEY_ESC))
  {
      state = SUB_STATE_QUIT_MENU;
    return;
  }
	/* handle left/right and select first */
	if (LeftPressed() || UpPressed() )
		{
			if (sel_value!=0)
			{
        old_sel_value = sel_value;
				--sel_value;
				state = STATE_CHANGE_CHOICE;
			}
			return;
		}	
	else
	if (RightPressed() || DownPressed() )
		{
			if (sel_value!=(MAX_SEL-1))
			{
        old_sel_value = sel_value;
				++sel_value;
				state = STATE_CHANGE_CHOICE;
			}
			return;
		}
	else
	if (SelectPressed())
	{
      if (sel_value==(MAX_SEL-1))
      {
        /* options */
          state = SUB_STATE_PAUSE_MENU;
      }
      else
	  {
		  if (sel_value<num_colours)
		  {
		  /* choice within number of colours range */
			if (sel_value!=cur_value)
			{
				state = STATE_SELECT_CHOICE;
			}
		
			return;
		}
		else
		{
			// choice outside number of colours range
		
		}
		
	}
#if 0  
	else
	/* now handle direct number presses */
	
	/* 1 */
	if (
		/* 1 */
		cpc_TestKeyReleased(CPC_KEY_1) ||
		/* f1 */
		cpc_TestKeyReleased(CPC_KEY_F1)
		)
		{

			new_value = 0;
		}
	else
	if (
		/* 2 */
		cpc_TestKeyReleased(CPC_KEY_2) ||
		/* f2 */
		cpc_TestKeyReleased(CPC_KEY_F2)
		)
		{WaitVsyncMark

			new_value = 1;
		}
	else
	if (
		/* 3 */
		cpc_TestKeyReleased(CPC_KEY_3) ||
		/* f3 */
		cpc_TestKeyReleased(CPC_KEY_F3)
		)
		{
			new_value = 2;
		}
	else
	if (
		/* 4 */
		cpc_TestKeyReleased(CPC_KEY_4) ||
		/* f4 */
		cpc_TestKeyReleased(CPC_KEY_F4)
		)
		{

			new_value = 3;
		}
	else
	if (
		/* 5 */
		cpc_TestKeyReleased(CPC_KEY_5) ||
		/* f5 */
		cpc_TestKeyReleased(CPC_KEY_F5)
	)
	{

		new_value = 4;
	}
	else
	if (
		/* 6 */
		cpc_TestKeyReleased(CPC_KEY_6) ||
			/* f6 */
		cpc_TestKeyReleased(CPC_KEY_F6)
	)
	{

		new_value = 5;
	}
		else
	if (
		/* 7 */
		cpc_TestKeyReleased(CPC_KEY_7) ||
			/* f7 */
		cpc_TestKeyReleased(CPC_KEY_F7)
	)
	{
	
		new_value = 6;
	}
	
	if ((cur_value!=new_value) && (new_value!=-1))
	{
    set_colour_choice(new_value);
		state = STATE_SELECT_CHOICE;
		return;
	}
  #endif
}

/***************************************************************/
/* crtc values for overscan */
//const unsigned char CRTCRegisters[]={0x03f, 48, 48, 0x086, 0x026, 0, 34, 35,0,7,0,0,0x0c,196};
// 0x0188

#define INITIAL_CRTC_R2 49
#define INITIAL_CRTC_R7 35

#define MAX_CRTC_R2 53
#define MIN_CRTC_R2 38
#define MAX_CRTC_R7 38
#define MIN_CRTC_R7 30

unsigned char CrtcR2 = INITIAL_CRTC_R2;
unsigned char CrtcR7 = INITIAL_CRTC_R7;

const unsigned char CRTCRegisters[]={0x03f, CRTC_R1, INITIAL_CRTC_R2, 0x086, 0x026, 0, CRTC_R6, INITIAL_CRTC_R7,0,CRTC_R9-1,0,0,0x0c,196};

/***************************************************************/
/* draw number of moves remaining */
void draw_moves()
{
	int nmoves_tens = nmovescur/10;
	int nmoves_units = nmovescur-(nmoves_tens*10);
	
	unsigned char *scr_addr_tens = cpc_GetScrAddr(number_x,number_y);
		
	const unsigned char *gfx_tens = numbers+(nmoves_tens*number_data_size);
	const unsigned char *gfx_units = numbers+(nmoves_units*number_data_size);
	cpc_SprReplace(scr_addr_tens, gfx_tens, number_width_bytes, number_height);
	
	cpc_SprReplace(scr_addr_tens+(number_width_bytes), gfx_units, number_width_bytes, number_height);
}

void draw_min_moves()
{
	int nmoves_tens = min_moves_count/10;
	int nmoves_units = min_moves_count-(nmoves_tens*10);
		unsigned char *scr_addr_tens = cpc_GetScrAddr(number_x,number_y);


/*-------------------------------------------------------------------------------*/
void set_sound_type()
{
	/* if silence, we stop sound */
	switch (soundtype)
	{
		case SOUND_TYPE_SFX:
		case SOUND_TYPE_NONE:
		{
      // play silence
			play_sound(SOUND_FLAG_ALWAYS, silence_aks_bin);
		}
		break;
		
		case SOUND_TYPE_MUSIC:
		{
			/* restart music */
			play_sound(0, currentmusic);
		}
		break;
	}			
}

/*-------------------------------------------------------------------------------*/

void cycle_sound()
{
	soundtype++;
	if (soundtype==SOUND_TYPE_MAX)
  {
      soundtype = SOUND_TYPE_MIN;
  }
  set_sound_type();
}

/*-------------------------------------------------------------------------------*/

void cycle_colour_num()
{
	num_colours++;
	if (num_colours>MAX_COLOURS)
	{
		num_colours = MIN_COLOURS;
	}
}
	
/*-------------------------------------------------------------------------------*/

void cycle_tile_type()
{
	tiletype++;
	if (tiletype==TILE_TYPE_MAX)
		tiletype= TILE_TYPE_MIN;
}

/*-------------------------------------------------------------------------------*/
void centralise_screen(int x, int y, int width, int height)
{
  int doing_adjust = 1;
	cpc_ClearRectangle(cpc_GetScrAddr(x,y),width,height,CLR_COLOUR);
	cpc_DisplayString(cpc_GetScrAddr(x,y), CentraliseText);
  
  while (doing_adjust)
  {
		wait_vsync();
			cpc_BackupKeys();
		cpc_ScanKeyboard();

    if (LeftPressed())
    {
      /* move left */
      if (CrtcR2!=MAX_CRTC_R2)
      {
        CrtcR2++;
      }
    }

    if (RightPressed())
    {
      /* move right */
      if (CrtcR2!=MIN_CRTC_R2)
      {
        CrtcR2--;
      }
    }
    
    if (UpPressed())
    {
      if (CrtcR7!=MAX_CRTC_R7)
      {
        CrtcR7++;
      }
    }
    
  if (DownPressed())
  {  
    if (CrtcR7!=MIN_CRTC_R7)
    {
      CrtcR7--;
    }
  }

/* write register 2 */
  cpc_CRTCWriteRegister(2, CrtcR2);
/* write register 7 */
  cpc_CRTCWriteRegister(7, CrtcR7);

  
  if (SelectPressed())
  {
      doing_adjust = 0;
  }
}
 state =  SUB_STATE_OPTIONS_MENU ;
}
 

/*-------------------------------------------------------------------------------*/

void plot_menu_indicator(unsigned short x, unsigned short y, unsigned short index, const unsigned char *ch)
{
	unsigned char *Addr = cpc_GetScrAddr(SCR_CHAR_TO_BYTEX0(x), SCR_CHAR_TO_LINEY0(index+y));
	cpc_DisplayString(Addr, ch);
}

/***************************************************************/

void update_indicator(int x, int y, int itemold, int itemnew)
{
  plot_menu_indicator(x,y,itemold," ");
  plot_menu_indicator(x,y,itemnew,"#");
  play_sound(SOUND_FLAG_WAIT_FOR_END|SOUND_FLAG_SFX, fx_move_aks_bin);
}


/***************************************************************/


static const unsigned char menu_pens[4]={
  CPC_PEN1_MODE0&CPC_PIXEL1_MASK_MODE0, // black
  CPC_PEN2_MODE0&CPC_PIXEL1_MASK_MODE0, // blue
  CPC_PEN9_MODE0&CPC_PIXEL1_MASK_MODE0, // sky blue
  CPC_PEN3_MODE0&CPC_PIXEL1_MASK_MODE0, // bright blue
  };
  
  

static const unsigned char credits_pens[4]={
  CPC_PEN1_MODE0&CPC_PIXEL1_MASK_MODE0, // black
  CPC_PEN2_MODE0&CPC_PIXEL1_MASK_MODE0, // blue
  CPC_PEN15_MODE0&CPC_PIXEL1_MASK_MODE0, // bright white
  CPC_PEN9_MODE0&CPC_PIXEL1_MASK_MODE0, // sky blue
  };
  
  
static const unsigned char credits_names_pens[4]={
  CPC_PEN1_MODE0&CPC_PIXEL1_MASK_MODE0, // black
  CPC_PEN2_MODE0&CPC_PIXEL1_MASK_MODE0, // blue
  CPC_PEN15_MODE0&CPC_PIXEL1_MASK_MODE0, // bright white
  CPC_PEN10_MODE0&CPC_PIXEL1_MASK_MODE0, // grey
  };
static const unsigned char indicator_pens[4]={
  CPC_PEN1_MODE0&CPC_PIXEL1_MASK_MODE0, // black
  CPC_PEN8_MODE0&CPC_PIXEL1_MASK_MODE0, // green
  CPC_PEN13_MODE0&CPC_PIXEL1_MASK_MODE0, // sea green
  CPC_PEN14_MODE0&CPC_PIXEL1_MASK_MODE0, // bright blue
  };
static const unsigned char option_pens[4]=
  {
    CPC_PEN1_MODE0&CPC_PIXEL1_MASK_MODE0, // black
    CPC_PEN5_MODE0&CPC_PIXEL1_MASK_MODE0, // magenta
    CPC_PEN0_MODE0&CPC_PIXEL1_MASK_MODE0, // pastel magenta
    CPC_PEN7_MODE0&CPC_PIXEL1_MASK_MODE0, // bright magenta
    };


/***************************************************************/


unsigned short continuemenu(unsigned short itemcount, unsigned short x,unsigned short y, unsigned short itemsel)
{
	unsigned short selected = 0;
	unsigned short item = itemsel;
	
	plot_menu_indicator(x,y,item,"#");
	while (selected==0)
	{
		wait_vsync();
			cpc_BackupKeys();
		cpc_ScanKeyboard();
	
		if (SelectPressed())
		{	
      play_sound(SOUND_FLAG_WAIT_FOR_END|SOUND_FLAG_SFX, fx_selected_aks_bin);
				
			selected = 1;
		}
		else
		if (LeftPressed() || UpPressed())
		{
			if (item!=0)
			{
        int olditem = item;
				item--;
        update_indicator(x,y,olditem, item);
			}
		}
		/* down */
		else if (RightPressed() || DownPressed())
		{
			if (item!=(itemcount-1))
			{
        int olditem = item;
				item++;
        update_indicator(x,y,olditem, item);
			}
		}		
	
	}
	return item;
}

/***************************************************************/

/* draw menu inks */
void initmenu(unsigned short itemcount, const unsigned char *items, unsigned short x, unsigned short y)
{
	unsigned short i;
	unsigned short xbyte = SCR_CHAR_TO_BYTEX0((x+1));
	unsigned short yline = SCR_CHAR_TO_LINEY0(y);

	cpc_SetLetterPens(menu_pens);

	for (i=0; i<itemcount; i++)
	{
		unsigned char *Addr = cpc_GetScrAddr(xbyte, yline);
    const unsigned char ItemId = items[i];
    const unsigned char *pString = StringTable[ItemId];
		cpc_DisplayString(Addr, pString);
		yline+=LETTER_HEIGHT;
	}
}
/***************************************************************/

/***************************************************************/

int confirm_menu(int x,int y)
{
 
	initmenu(ARRAY_COUNT(ConfirmMenu),ConfirmMenu,x,y);

  return continuemenu(ARRAY_COUNT(ConfirmMenu),x,y,1);
}

/***************************************************************/

int ok_menu()
{
	initmenu(ARRAY_COUNT(OkMenu),OkMenu,0,0);

  return continuemenu(ARRAY_COUNT(OkMenu),0,0,0);
}

/***************************************************************/
void display_sound_options(int x, int y)
{
  	unsigned char *Addr = cpc_GetScrAddr(SCR_CHAR_TO_BYTEX0(x), SCR_CHAR_TO_LINEY0(y));
  unsigned char SoundOptionId = SoundOptions[soundtype];
 	cpc_SetLetterPens(option_pens);
	cpc_ClearRectangle(Addr, 20, 8, CLR_COLOUR);
  cpc_DisplayString(Addr, StringTable[SoundOptionId]);
  }
  
/***************************************************************/
void display_tile_options(int x,int y)
{
  	unsigned char *Addr = cpc_GetScrAddr(SCR_CHAR_TO_BYTEX0(x), SCR_CHAR_TO_LINEY0(y));
	  unsigned char TileOptionId  = TileOptions[tiletype];
 	cpc_SetLetterPens(option_pens);
  cpc_ClearRectangle(Addr, 20, 8, CLR_COLOUR);
  cpc_DisplayString(Addr, StringTable[TileOptionId]);
  }
/***************************************************************/

/***************************************************************/
void display_colour_options(int x,int y)
{
  	unsigned char *Addr = cpc_GetScrAddr(SCR_CHAR_TO_BYTEX0(x), SCR_CHAR_TO_LINEY0(y));
 	cpc_SetLetterPens(option_pens);
  cpc_ClearRectangle(Addr, 20, 8, CLR_COLOUR);
  cpc_DisplayString(Addr, StringTable[TileOptionId]);
  }


void sub_state_options_menu(int x, int y, int width, int height)
{
	int item = 0;
	int donemenu = 0;

	cpc_ClearRectangle(cpc_GetScrAddr(x,y),width,height,CLR_COLOUR);

	initmenu(ARRAY_COUNT(OptionsMenu),OptionsMenu,x,y);
	display_sound_options(x+10,y);
  
	donemenu = 0;
	while (donemenu==0)
	{
		item = continuemenu(ARRAY_COUNT(OptionsMenu),x,y,item);
	
		switch (item)
		{
			/* sound */
			case 0:
			{
				cycle_sound();
				display_sound_options(x+10,y);
			}
			break;
      
	  /* centralise */
		  case 1:
		  {
			state = SUB_STATE_CENTRALISE_SCREEN;
			donemenu = 1;
			}
			break;
      
        /* back */
			default:
			  {
				state = backstate;
				donemenu = 1;
			  }
			  break;
		}
	}

}

const char *Instructions = \
"Grow your virus to cover all\n" \
"the cells of the play area.\n\n" \
"See if you can equal or beat\n" \
"the number of suggested moves.\n\n" \
"Choose a colour and every cell\n" \
"that the virus touches with\n" \
"this colour will be infected.\n\n" \
"The bottom left cell is infected\n" \
"at the beginning of the game.";

// find best move sequence
//
// if move results in no change, ignore and don't add.
// 
// otherwise try it and see if it less moves to complete, if not try another value
//
// each time go back a move and try another, if this results in better moves, keep it.
// go back only when we have tried all moves.
#if 0
void find_min_moves()
{
	move_count = 0;
	min_move_count = -1;
	move_count = -1;
	
	// we may have other moves that complete 
	
	// this is the initial move.
	int move_wanted = 0;
	
	// keep going..
	do
	{
		if (move_count!=0)
		{
			// go back a move..
			--move_count;
			
			// get the previous move we tried..
			move_wanted = move_sequence[move_count];
		}
		for (; move_wanted<num_colours; move_wanted++)
		{
			int total_infected = 0;
			char infected;
			
			// set the move
			cur_value = move_wanted;

			// update the infection until it's done
			// count the number of moves as it does it.
			do
			{
				infected = update_infections();
				if (infected!=0)
				{
					total_infected++;
				}
			}
			while (infected!=0);

			// it has finished the infection
			if (total_infected!=0) 
			{
				// did we complete the grid?
				if (nvirus==grid_total)
				{
					// we did!
					++move_count;

					// this is the number of moves
					if (move_count<min_move_count)
					{
						// this is much better, but is it the best?
						min_move_count = move_count;
						
						// we should back track...
					}
				}
				else
				{
					// out of moves buffer, it's not going to be good either
					if (
					// if this means move moves than minimum so far
					(move_count>min_move_count) ||
					// or this means we are out of buffer space
					(move_count>=128)
					{	
						// back track!
					}
				
					// this move is good, store it.
					move_sequence[move_count] = i;
					++move_count;
				}
			}
			else
			{
				// this move didn't result in any being eliminated
			}
				
				
			
			// go back a move?
		}
	}	
	while ((move_count!=1) && (move_wanted!=num_colours));
		
	
	// back track..
	move_count--;
	
}
#endif

// find best move sequence
//
// if move results in no change, ignore and don't add.
//
// otherwise try it and see if it less moves to complete, if not try another value
//
// each time go back a move and try another, if this results in better moves, keep it.
// go back only when we have tried all moves.


// using best we got 26 moves initially.
// for each we should rate according to best, then choose next best etc
//
// x moves, x bests
int find_min_moves()
{
    int infected;
    int move_wanted = cur_value;
    int s;

	// perform initial infection using current square, this is the first move given to you
    do
    {
        infected = update_infections();
    }
    while (infected!=0);

    // best could be 5 or 6 for initial

	do
	{
        int best_infected = -1;
        int best_move = -1;

        for (move_wanted=0; move_wanted<num_colours; move_wanted++)
        {
            int total_infected;
            int nvirusbefore = nvirus;

             if (move_wanted==cur_value)
                    continue;

            // set the move
            cur_value = move_wanted;

            total_infected = 0;

            // update the infection until it's done
            // count the number of moves as it does it.
            do
            {
                infected = update_infections();
                if (infected!=0)
                {
                    total_infected++;
                }
            }
            while (infected!=0);

            // undo this move
             while (nvirus!=nvirusbefore)
            {
                remove_last_pos();
            }

            if ((best_infected==-1) || (total_infected>best_infected))
            {
                best_infected = total_infected;
                best_move = cur_value;
            }
        }

        // update infection
        cur_value = best_move;
        do
        {
            infected = update_infections();
        }
        while (infected!=0);

            // this move is good, store it.
        move_sequence[move_count] = best_move;
        ++move_count;
	}
	while (nvirus!=grid_total);
	
	return move_count;
}


/***************************************************************/
void sub_state_play_menu()
{
	int donemenu = 0;
  int item = 0;

  cpc_CLS(CPC_PEN10_MODE0|(CPC_PEN10_MODE0<<1));

  cpc_ClearRectangle(cpc_GetScrAddr(MAIN_MENU_RECT_X,MAIN_MENU_RECT_Y),MAIN_MENU_RECT_WIDTH,MAIN_MENU_RECT_HEIGHT,CLR_COLOUR);
	
	cpc_DisplayString(cpc_GetScrAddr(0,0), Instructions);


	initmenu(ARRAY_COUNT(PlayMenu),PlayMenu,MAIN_MENU_X,MAIN_MENU_Y);
  display_tile_options(MAIN_MENU_X+10,MAIN_MENU_Y+1);
  display_colour_options(MAIN_MENU_X+10, MAIN_MENU_Y+2);
  
	donemenu = 0;
	while (donemenu==0)
	{
		item = continuemenu(ARRAY_COUNT(PlayMenu),MAIN_MENU_X,MAIN_MENU_Y,item);
	
		switch (item)
		{
			/* tile type */
			case 1:
			{
			cycle_tile_type();
			// tile type
			display_tile_options(MAIN_MENU_X+10,MAIN_MENU_Y+1);
			}
			break;

			/* tile type */
			case 1:
			{
			cycle_colours_type();
			// tile type
			display_colour_options(MAIN_MENU_X+10,MAIN_MENU_Y+2);
			}
			break;

			
	  /* continue */
      case 0:
      {
		set_main_state_game();
		
        // continue
        donemenu = 1;
      }
      break;
      
	  /* back */
      case 2:
      {
		/* back to main menu */
		state = SUB_STATE_MAIN_MENU;
        donemenu = 1;
      }
      break;
      
			default:
				break;
		}
	}
  
}



/***************************************************************/

void sub_state_main_menu()
{
	int donemenu;
	int item = 0;
	cpc_ClearRectangle(cpc_GetScrAddr(MAIN_MENU_RECT_X,MAIN_MENU_RECT_Y),MAIN_MENU_RECT_WIDTH,MAIN_MENU_RECT_HEIGHT,CLR_COLOUR);
	
	initmenu(ARRAY_COUNT(MainMenu),MainMenu,MAIN_MENU_X,MAIN_MENU_Y);

	donemenu = 0;
	while (donemenu==0)
	{
		item = continuemenu(ARRAY_COUNT(MainMenu),MAIN_MENU_X,MAIN_MENU_Y,item);
	
		switch (item)
		{
			/* play */
			case 0:
			{
				state = SUB_STATE_PLAY_MENU;
				donemenu = 1;
			}
			break;
			
		  /* options */
		  case 1:
		  {	
			/* return to main menu */
			backstate = SUB_STATE_MAIN_MENU;
			/* execute options */
			state = SUB_STATE_OPTIONS_MENU;
			
			donemenu = 1;
		  }
		  break;
      
		/* quit */
		  case 2:
		  {
			state = SUB_STATE_EXIT_MENU;
			donemenu = 1;
			}
			break;
		
			default:
				break;
		}
	}
}


/***************************************************************/


void set_main_state_frontend()
{
 /* clear to grey */
	cpc_CLS(CPC_PEN10_MODE0|(CPC_PEN10_MODE0<<1));

	cpc_ClearRectangle(SCR_ADDR_FROM_COORD(CREDITS_RECT_X,CREDITS_RECT_Y),CREDITS_RECT_WIDTH,CREDITS_RECT_HEIGHT,CLR_COLOUR);

  cpc_SetLetterPens(credits_pens);
	cpc_DisplayString(SCR_ADDR_FROM_COORD(SCR_CHAR_TO_BYTEX0(CREDITS_X),SCR_CHAR_TO_LINEY0(CREDITS_Y)), StringTable[STRING_TABLE_CODE]);
	cpc_DisplayString(SCR_ADDR_FROM_COORD(SCR_CHAR_TO_BYTEX0(CREDITS_X),SCR_CHAR_TO_LINEY0(CREDITS_Y+1)), StringTable[STRING_TABLE_GFX]);
	cpc_DisplayString(SCR_ADDR_FROM_COORD(SCR_CHAR_TO_BYTEX0(CREDITS_X),SCR_CHAR_TO_LINEY0(CREDITS_Y+2)), StringTable[STRING_TABLE_SOUND]);
  cpc_SetLetterPens(credits_names_pens);
	cpc_DisplayString(SCR_ADDR_FROM_COORD(SCR_CHAR_TO_BYTEX0(CREDITS_X+10),SCR_CHAR_TO_LINEY0(CREDITS_Y)), StringTable[STRING_TABLE_ARNOLDEMU]);
	cpc_DisplayString(SCR_ADDR_FROM_COORD(SCR_CHAR_TO_BYTEX0(CREDITS_X+10),SCR_CHAR_TO_LINEY0(CREDITS_Y+1)), StringTable[STRING_TABLE_MACDEATH]);
	cpc_DisplayString(SCR_ADDR_FROM_COORD(SCR_CHAR_TO_BYTEX0(CREDITS_X+10),SCR_CHAR_TO_LINEY0(CREDITS_Y+2)), StringTable[STRING_TABLE_MCKLAIN]);
  
	/* main menu music */
	play_sound(0, menu_music_aks_bin);
	
	mainstate = MAIN_STATE_FRONTEND;
	state = SUB_STATE_MAIN_MENU;
}

void set_main_state_game()
{
	mainstate = MAIN_STATE_GAME;
	state = STATE_WAITING_PLAYER_CHOICE;
}

/***************************************************************/

void sub_state_exit_menu()
{
	cpc_ClearRectangle(cpc_GetScrAddr(MAIN_MENU_RECT_X,MAIN_MENU_RECT_Y),MAIN_MENU_RECT_WIDTH,MAIN_MENU_RECT_HEIGHT,CLR_COLOUR);

// confirm and if the answer is yes, then reset
  if (confirm_menu(MAIN_MENU_X,MAIN_MENU_Y)==0)
  {
	cpc_Reset();
  }
  else
  {
	state = SUB_STATE_MAIN_MENU;
}
}	
 
/***************************************************************/
void sub_state_restart_menu()
{
	cpc_ClearRectangle(cpc_GetScrAddr(PAUSE_MENU_RECT_X,PAUSE_MENU_RECT_Y),PAUSE_MENU_RECT_WIDTH,PAUSE_MENU_RECT_HEIGHT,CLR_COLOUR);

	// display question
	cpc_DisplayString(cpc_GetScrAddr(PAUSE_MENU_RECT_X, PAUSE_MENU_RECT_Y-1), StringTable[STRING_TABLE_RESTART]);

  if (confirm_menu(PAUSE_MENU_X, PAUSE_MENU_Y)==0)
  {
	state = SUB_STATE_RESTART;
  }
  else
  {
	state = STATE_BACK_TO_GAME;
  }
 }

	
/***************************************************************/
void sub_state_quit_menu()
{
	cpc_ClearRectangle(cpc_GetScrAddr(PAUSE_MENU_RECT_X,PAUSE_MENU_RECT_Y),PAUSE_MENU_RECT_WIDTH,PAUSE_MENU_RECT_HEIGHT,CLR_COLOUR);

	// display question
	cpc_DisplayString(cpc_GetScrAddr(PAUSE_MENU_RECT_X, PAUSE_MENU_RECT_Y-1), StringTable[STRING_TABLE_QUIT]);

	// confirm we want to quit...
	 if (confirm_menu(PAUSE_MENU_X, PAUSE_MENU_Y)==0)
	{
	// we're quitting
		state = SUB_STATE_QUITTING;
	}
	else
	{
	// back to the game
		state = STATE_BACK_TO_GAME;
	}
}

/***************************************************************/

void sub_state_pause_menu()
{
	int item = 0;
	int donemenu = 0;
	
	cpc_ClearRectangle(cpc_GetScrAddr(PAUSE_MENU_RECT_X,PAUSE_MENU_RECT_Y),PAUSE_MENU_RECT_WIDTH,PAUSE_MENU_RECT_HEIGHT,CLR_COLOUR);
	
	initmenu(ARRAY_COUNT(PauseMenu),PauseMenu,PAUSE_MENU_X,PAUSE_MENU_Y);

	donemenu = 0;
	while (donemenu==0)
	{
		item = continuemenu(ARRAY_COUNT(PauseMenu),PAUSE_MENU_X,PAUSE_MENU_Y,item);
	
		switch (item)
		{
            // continue
			case 0:
			{
				state = STATE_BACK_TO_GAME;
				donemenu = 1;
			}
			break;
						
            // restart
            case 1:
            {
				state = SUB_STATE_RESTART_MENU;
				donemenu = 1;
			}
			break;
		
			// options
			case 2:
			{
				backstate = SUB_STATE_PAUSE_MENU;
				state = SUB_STATE_OPTIONS_MENU;
				donemenu = 1;
			}
			break;
							
			// show quit
			case 3:
			{
				state = SUB_STATE_QUIT_MENU;
				donemenu = 1;
			}
			break;
	
		}
	}
}
     
/***************************************************************/

void sub_state_try_again_menu()
{
 
	// try again or quit.
	int item = 0;
	int donemenu = 0;
	/* clear to grey */

	
	cpc_ClearRectangle(cpc_GetScrAddr(PAUSE_MENU_RECT_X,PAUSE_MENU_RECT_Y),PAUSE_MENU_RECT_WIDTH,PAUSE_MENU_RECT_HEIGHT,CLR_COLOUR);
		
	initmenu(ARRAY_COUNT(TryAgainMenu),TryAgainMenu,PAUSE_MENU_X,PAUSE_MENU_Y+3);
  donemenu = 0;
  while (donemenu==0)
  {
	item = continuemenu(ARRAY_COUNT(TryAgainMenu),PAUSE_MENU_X,PAUSE_MENU_Y+3,item);
  
	switch (item)
	{
	  // try again
	  default:
	  {
		// restarts with same moves but new grid
		state = SUB_STATE_RESTART_NEW;
      donemenu = 1;
		break;
	  }
		  
	  case 1:
	  {
		/* do the quit */
		state = SUB_STATE_QUITTING;
		donemenu = 1;
	  }
	  break;
	}
  }
}
  
/***************************************************************/

void main_state_main_menu()
{
	switch (state)
	{
		case SUB_STATE_MAIN_MENU:
		{
			sub_state_main_menu();
		}
		break;
	
		case SUB_STATE_PLAY_MENU:
		{
			sub_state_play_menu();
		}
		break;
		
		case SUB_STATE_EXIT_MENU:
		{
			sub_state_exit_menu();
		}
		break;
		
		case SUB_STATE_OPTIONS_MENU:
		{
			sub_state_options_menu(MAIN_MENU_X, MAIN_MENU_Y,MAIN_MENU_RECT_WIDTH, MAIN_MENU_RECT_HEIGHT);
		}
		break;
		
		case SUB_STATE_CENTRALISE_SCREEN:
		{
			centralise_screen(MAIN_MENU_X, MAIN_MENU_Y,MAIN_MENU_RECT_WIDTH, MAIN_MENU_RECT_HEIGHT);
		}
		break;
	}
}

/***************************************************************/

void main_state_game()
{
	int game_quit = 0;
	int game_restart;
  int restart_music = 1;

  GameSeed = RandomSeed;
  

	switch (tiletype)
	{
		default:
		case TILE_TYPE_HEXAGON:
		{
//			totalmoves = MOVES_MAX;
//			minmoves = MOVES_MIN;
			tilenumsides = 6;
			grid_width = grid_width_hex;
			grid_height = grid_height_hex;
			grid_total = grid_width_hex*grid_height_hex;
		}
		break;
		
		case TILE_TYPE_TRIANGLE:
		{
//			totalmoves = MOVES_MAX_TRI;
//			minmoves = MOVES_MIN_TRI;
			tilenumsides = 3;
			grid_width = grid_width_tri;
			grid_height = grid_height_tri;
			grid_total = grid_width_tri*grid_height_tri;
		}
		break;

		case TILE_TYPE_RECTANGLE:
		{
	//		totalmoves = MOVES_MAX_RECT;
	//		minmoves = MOVES_MIN_RECT;
			tilenumsides = 4;
			grid_width = grid_width_rect;
			grid_height = grid_height_rect;
			grid_total = grid_width_rect*grid_height_rect;
		}
		break;
	}		

	/* begin game */
	play_sound(SOUND_FLAG_ALWAYS|SOUND_FLAG_WAIT_FOR_END, game_start_aks_bin);

  play_sound(0, ingame_music_aks_bin);

  while (game_quit==0)
      {
        	game_restart = 0;

	  /* clear to grey */
		cpc_CLS(CPC_PEN10_MODE0|(CPC_PEN10_MODE0<<1));
        
        /* main game */
        new_game();
                    
        /* draw the grid */
        draw_grid();

        draw_legend();
		
        draw_legend_item(cur_value, cur_value);
        
		draw_min_moves();
        draw_moves();
        state = STATE_WAITING_PLAYER_CHOICE;
        
        while (game_restart==0)
        {
          
          switch (state)
          {

				  /***************************************************************/
				  case SUB_STATE_RESTART_MENU:
				  {
					sub_state_restart_menu();
					}
					break;
		
		/***************************************************************/
		case SUB_STATE_QUIT_MENU:
		{
			sub_state_quit_menu();
		}
		break;
		
		/***************************************************************/
		case SUB_STATE_PAUSE_MENU:
			{
				sub_state_pause_menu();
			}
			break;
				
			/***************************************************************/
case SUB_STATE_OPTIONS_MENU:
			{
				sub_state_options_menu(PAUSE_MENU_X, PAUSE_MENU_Y,PAUSE_MENU_RECT_WIDTH, PAUSE_MENU_RECT_HEIGHT);
			}
			break;
			
			/***************************************************************/
case SUB_STATE_CENTRALISE_SCREEN:
			{
				centralise_screen(PAUSE_MENU_X, PAUSE_MENU_Y,PAUSE_MENU_RECT_WIDTH, PAUSE_MENU_RECT_HEIGHT);
			}
			break;
			
			/***************************************************************/
case STATE_BACK_TO_GAME:
			{
				draw_grid();
				state = STATE_WAITING_PLAYER_CHOICE;
		
			}
			break;
			
			/***************************************************************/
case SUB_STATE_TRY_AGAIN:
			{
				sub_state_try_again_menu();
			}
			break;
				
		  
            /***************************************************************/
/* wait for player input.
            Possibilities:
            - player chooses colour
            - player quits */
            default:
            case STATE_WAITING_PLAYER_CHOICE:
            {
              handle_input();
            
            }
            break;

           /***************************************************************/
 case STATE_CHANGE_CHOICE:
            {
              /* redraw old */
              draw_legend_item(old_sel_value, old_sel_value);
              /* draw new */
              draw_legend_item(sel_value, sel_value);
            
              state = STATE_WAITING_PLAYER_CHOICE;
            }
            break;
            
            /***************************************************************/
case STATE_SELECT_CHOICE:
            {
              int old_cur_value = cur_value;
              set_colour_choice(sel_value);
              
              /* redraw old */
              draw_legend_item(old_cur_value, old_cur_value);

              /* draw new */
              draw_legend_item(cur_value, cur_value);
            
              /* increase number of moves and update the infection */
              nmovescur++;
                
              draw_moves();
                  
              state = STATE_UPDATE_INFECTION;
            }
            break;
            
            
            /* draw an infected cell. Possibilities:
            - update infection 
            */
            
            /***************************************************************/
case STATE_DRAW_INFECTED_CELL:
            {

              /* draw the infected cell and move on with the infection */
              int index = nvirus-1;
              int x = move_stack_x[index];
              int y = move_stack_y[index];
              
              /* draw gfx */
            redraw_grid_element(x,y);
              
              delay = 50;
              state = STATE_UPDATE_INFECTION_DELAY;
            }
            break;
            
            /* update the infection. Possibilities:
            - infection ends and we go to next player choice
            - infection continues
            - game is over either through all cells being infected, or number of moves exhausted
            */
            
            /***************************************************************/
case STATE_UPDATE_INFECTION_DELAY:
            {
              delay--;
              if (delay==0)
              {
                state = STATE_UPDATE_INFECTION;
              }
            }
            break;

			case SUB_STATE_QUITTING:
			{
				game_restart = 1;
				game_quit = 1;

        /* back to frontend */
			 	set_main_state_frontend();
			}
			break;
		
			case SUB_STATE_RESTART:
			{
				game_restart = 1;
			}
			break;
      
      case SUB_STATE_RESTART_NEW:
      {
          play_sound(0, ingame_music_aks_bin);
          /* restart */
          game_restart=1;
          /* starts game with new seed */
          GameSeed = RandomSeed;
      }
      break;
			
           /***************************************************************/
case STATE_UPDATE_INFECTION:
            {
              char infected = update_infections();

              if (infected==0)
              {
                if (nvirus==grid_total)
				{
					/* did we do it within the minimum number of moves? */
                  if (nmovescur>nmovesmin)
                  {
                    /* game over without win */
                    state = SUB_STATE_TRY_AGAIN;
                  
					play_sound(SOUND_FLAG_ALWAYS|SOUND_FLAG_WAIT_FOR_END, game_over_aks_bin);
                  }
					else
					{
					/* yes, we won */
						state = SUB_STATE_GAME_WON;
					}
				}
				else
				{
                    /* game not over, go to player choice */
                    state = STATE_WAITING_PLAYER_CHOICE;
                }
             }
              
            }
            break;
			
			/***************************************************************/
			case SUB_STATE_GAME_WON:
			{
				/* won game */
				play_sound(SOUND_FLAG_ALWAYS|SOUND_FLAG_WAIT_FOR_END, level_completed_aks_bin);
		
			  ok_menu();

          /* quit back to frontend */
				  state = SUB_STATE_QUITTING;

				}
				else
				{
				  /* less moves */
				   ok_menu();
          state = SUB_STATE_RESTART_NEW;
				}
			}
			break;
			
          }
          
        }
     
      }

}

/*-------------------------------------------------------------------------------*/
/* main game */
void main()
{
  soundtype = SOUND_TYPE_MUSIC;
  tiletype = TILE_TYPE_HEXAGON;

	DEBUG_BREAK;

 
	cpc_DisableMaskableInterrupts();
	ArkosPlayer_Stop();
	cpc_InstallIM1Interrupt(interrupt_handler);
	cpc_EnableMaskableInterrupts();

 
	cpc_SetBorderHW(HW_INK_WHITE);
  cpc_SetColoursHW(16, &Pal[0]);
  
	/* set mode 0, disable upper and lower roms */
	cpc_SetMultiFunctionHW(MF_LOWER_ROM_DISABLE|MF_UPPER_ROM_DISABLE|0);
	
	/* draw the grid */

	cpc_InitScrTable();
	cpc_InitMaskTable0();
  cpc_InitKeys();
  
	cpc_SetCRTCRegisters(CRTCRegisters);

	set_main_state_frontend();

	/* initialise default random seed */
	RandomSeed = cpc_GetRRegister();

  /* includes frontend etc */
  while (1==1)
	{
    switch (mainstate)
    {
      case MAIN_STATE_FRONTEND:
      {
        main_state_main_menu();
      }
      break;
	  
	  
      case MAIN_STATE_GAME:
      {
          main_state_game();
        }
        break;

			default:
				break;
     }
  }
}

	
/*-------------------------------------------------------------------------------*/
/* EOF */
