.module _cpc_NextLineInternal
.globl _cpc_NextLineInternal

.include "defs.s"

.area _CODE

;; HL = address
_cpc_NextLineInternal:
;; go down next scan line
ld a,h
add a,#8
ld h,a
;; check if we should go to next char line
and #0x38
ret nz

;; remove effect of last add
ld a,h
sub #0x8
ld h,a

;; add on amount to go to next char line
ld a,l
add a,#SCR_WIDTH_BYTES
ld l,a
ld a,h
adc a,#0x00
ld h,a

;; if we overflowed to next 16k the result will be 0
and #0x38
ret z

;; we didn't overflow adjust to go back into 1st 16k
ld a,h
sub #0x38
ld h,a
ret

;;.include "defs.s"
